### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.security

# Interface PermissionInterface

All Superinterfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public interface PermissionInterface extends Serializable
Permission interface.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PERMISSION_ADMINISTER`
  The remaining definitions are application permissions, and their precise semantics are application defined.
  `static final String`
  `PERMISSION_ADMINMETADATA`
  Deprecated.
  The metadata server no longer supports this permission and it should be removed from any application that is using it.
  `static final String`
  `PERMISSION_ALTER_TABLE`
  `static final String`
  `PERMISSION_CHECKINMETADATA`
  `static final String`
  `PERMISSION_CREATE`
  `static final String`
  `PERMISSION_CREATE_TABLE`
  `static final String`
  `PERMISSION_DELETE`
  `static final String`
  `PERMISSION_DROP_TABLE`
  `static final String`
  `PERMISSION_EXECUTE`
  `static final String`
  `PERMISSION_INSERT`
  `static final String`
  `PERMISSION_READ`
  `static final String`
  `PERMISSION_READMETADATA`
  Permission string representing read permission on metadata.
  `static final String`
  `PERMISSION_REFERENCES`
  `static final String`
  `PERMISSION_SELECT`
  `static final String`
  `PERMISSION_UPDATE`
  `static final String`
  `PERMISSION_WRITE`
  `static final String`
  `PERMISSION_WRITEMEMBERMETADATA`
  This is a folder-specific permission that can be used to control who can create content in a folder.
  `static final String`
  `PERMISSION_WRITEMETADATA`
  Permission string representing write permission on metadata.
  `static final String`
  `TYPE_DENY`
  Deny a permission to an identity or identities.
  `static final String`
  `TYPE_GRANT`
  Grant a permission to an identity or identities
  `static final String`
  `TYPE_REMOVE`
  This is a special type used by the new ISecurityAdmin interface for removing authorization records from an object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  Get the Action that this permission grants or denys.
  `MetadataInterface`
  `getOwningObject()`
  Get the object that this permission is directly owned by.
  `String`
  `getType()`
  Get the type of permission.

- ## Field Details

  - ### TYPE_GRANT

    static final String TYPE_GRANT
    Grant a permission to an identity or identities
    See Also:
      - Constant Field Values

  - ### TYPE_DENY

    static final String TYPE_DENY
    Deny a permission to an identity or identities.
    See Also:
      - Constant Field Values

  - ### TYPE_REMOVE

    static final String TYPE_REMOVE
    This is a special type used by the new ISecurityAdmin interface for removing authorization records from an object.
    See Also:
      - Constant Field Values

  - ### PERMISSION_READMETADATA

    static final String PERMISSION_READMETADATA
    Permission string representing read permission on metadata.
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITEMETADATA

    static final String PERMISSION_WRITEMETADATA
    Permission string representing write permission on metadata.
    See Also:
      - Constant Field Values

  - ### PERMISSION_ADMINMETADATA

    static final String PERMISSION_ADMINMETADATA
    Deprecated.
    The metadata server no longer supports this permission and it should be removed from any application that is using it.
    Permission string representing admin permission on metadata.
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITEMEMBERMETADATA

    static final String PERMISSION_WRITEMEMBERMETADATA
    This is a folder-specific permission that can be used to control who can create content in a folder.
    See Also:
      - Constant Field Values

  - ### PERMISSION_ADMINISTER

    static final String PERMISSION_ADMINISTER
    The remaining definitions are application permissions, and their precise semantics are application defined.
    See Also:
      - Constant Field Values

  - ### PERMISSION_ALTER_TABLE

    static final String PERMISSION_ALTER_TABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_CHECKINMETADATA

    static final String PERMISSION_CHECKINMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_CREATE

    static final String PERMISSION_CREATE
    See Also:
      - Constant Field Values

  - ### PERMISSION_CREATE_TABLE

    static final String PERMISSION_CREATE_TABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_DELETE

    static final String PERMISSION_DELETE
    See Also:
      - Constant Field Values

  - ### PERMISSION_DROP_TABLE

    static final String PERMISSION_DROP_TABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_EXECUTE

    static final String PERMISSION_EXECUTE
    See Also:
      - Constant Field Values

  - ### PERMISSION_INSERT

    static final String PERMISSION_INSERT
    See Also:
      - Constant Field Values

  - ### PERMISSION_READ

    static final String PERMISSION_READ
    See Also:
      - Constant Field Values

  - ### PERMISSION_REFERENCES

    static final String PERMISSION_REFERENCES
    See Also:
      - Constant Field Values

  - ### PERMISSION_SELECT

    static final String PERMISSION_SELECT
    See Also:
      - Constant Field Values

  - ### PERMISSION_UPDATE

    static final String PERMISSION_UPDATE
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITE

    static final String PERMISSION_WRITE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAction

    String getAction()
    Get the Action that this permission grants or denys.
    Returns:
      The action string for this permission.

  - ### getType

    String getType()
    Get the type of permission. This should be GRANT or DENY.
    Returns:
      the permission type.

  - ### getOwningObject

    MetadataInterface getOwningObject()
    Get the object that this permission is directly owned by. In OMR, this will be an AccessControlEntry.
    Returns:
      a MetadataInterface object that owns this permission.